octonet - Segnalazione #157

"Edit" di host
01/18/2017 06:29 PM - Christopher R. Gabriel

Status: Chiuso Start date: 01/18/2017
Priority: Normale Due date:

Assignee: Christopher R. Gabriel % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
http://localhost:8000/host/edit/antani

Qui le action che hanno il campo di input devono avere un validatore.

Cambierei anche I'ordine delle action mettendo "add to cluster" e "remove to cluster" contigue nell'elenco.

Associated revisions

Revision 966c0be7 - 01/24/2017 02:37 PM - Mark Caglienzi

Sort host actions so to have add to cluster and remove from cluster near each other. refs: #157

Revision 7af60332 - 01/24/2017 03:42 PM - Mark Caglienzi

Toggle buttons depending on select value. refs: #157

Revision 127fcfdd - 01/24/2017 03:42 PM - Mark Caglienzi

Disable once and for all POST for actions with disabled buttons. refs: #157

Revision 969cf871 - 01/24/2017 03:53 PM - Mark Caglienzi
REALLY disable clicks on disabled buttons. refs: #157

Revision de88f07b - 01/24/2017 03:54 PM - Mark Caglienzi
Cleanup. refs: #157

Revision 194be13f - 01/24/2017 04:19 PM - Mark Caglienzi
NOW it seems good. refs: #157

Revision bee8dd18 - 01/24/2017 04:22 PM - Mark Caglienzi
Better. refs: #157

History

#1 - 01/24/2017 12:17 PM - Mark Caglienzi

- Status changed from Nuovo to In elaborazione

#2 - 01/24/2017 04:57 PM - Mark Caglienzi
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

6877e98e:
e | e action di cluster hanno 'order' mentre le action di host non ce I'hanno (potrebbe avere senso modificare il backend per dare un ordine ben

preciso anche alle action di host e per coerenza?)
¢ Ho risolto facendo un sort mantenendo le due voci richieste vicine in fondo all'elenco (mentre le altre action escono in modo piu 0 meno casuale)
http://localhost:8000/host/edit/antani
https://work.fuss.bz.it/projects/octonet/repository/23/revisions/6877e98edc54e7cf1814079c83c935ca9b8f12a1

® Ho cercato di rendere piu solido il sistema di "validazione" per disabilitare i bottoni quando il relativo campo € vuoto o non selezionato (ho litigato
un pochino con jquery e bootstrap ma sembra andare adesso)

Mergiato e pushato

#3 - 01/30/2017 11:48 AM - Christopher R. Gabriel

- Status changed from Commenti to Chiuso

Ok, verificato.
